# Locations

### Fields

| Field     | Type    | Description                              |
| --------- | ------- | ---------------------------------------- |
| address   | String  | Location address                         |
| city      | String  | Location city                            |
| country   | String  | Location country                         |
| hq        | Boolean | If the location is a headquarters or not |
| id        | Int     | Internal location ID                     |
| latitude  | Float   | Latitude coordinate of the location      |
| longitude | Float   | Longitude coordinate of the location     |
| state     | String  | State (if applicable)                    |
| zipCode   | String  | Zip Code (if applicable)                 |

### Arguments

`hq` – Filter by HQ locations only. Boolean value

### Query example

```graphql
# query locations count & only HQ locations
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        locationsCount
        
        locations(hq: true) {
            address
            city
            country
            hq
            id
            latitude
            longitude
            state
            zipCode
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/operating-data/untitled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
